<template>
  <main>
    <!-- Header -->
    <h1>Profile</h1>
    <b-divider class="mt-6x"></b-divider>

    <!-- Content -->
    <common-empty-state />
    <div class="row d-none">
      <div class="col-md-8"></div>
      <div class="col-md-4">
        <b-card class="mt-8x">
          <h2>Change password</h2>
          <form @submit.prevent="handleSubmit">
            <b-form-item label="Current Password">
              <b-input v-model="oldPassword" show-password></b-input>
            </b-form-item>
            <b-form-item label="Password">
              <b-input v-model="password" show-password></b-input>
            </b-form-item>
            <b-button native-type="submit" primary class="mt-6x"
              >Submit</b-button
            >
          </form>
        </b-card>
      </div>
    </div>
  </main>
</template>

<script lang="ts">
import Vue from 'vue'
export default Vue.extend({
  name: 'ProfilePage',
  data() {
    return {
      oldPassword: '',
      password: '',
    }
  },
  head: {
    title: 'Profile',
  },
  methods: {
    async handleSubmit() {
      const { oldPassword, password } = this
      try {
        await this.$services.identity.changePassword({ oldPassword, password })
        this.$message.success('Password has been changed!')
        this.$auth.logout()
      } catch (error) {
        this.$message.error(error)
      }
    },
  },
})
</script>
